<html devsite><head>
    <title>内容许可</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
    <style>devsite-content-footer {
  display: none;
}
</style>

  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p>为了方便授予许可，本网站的内容分为以下两类：</p>
<ul>
  <li>文档内容，包括静态文档和从源代码模块中提取的内容，以及示例代码</li>
<li>网站上的所有其他内容</li>
</ul>

<p>本网站上的文档内容作为 <a href="https://android.googlesource.com/">Android 开放源代码项目</a>的一部分向您提供。我们根据 <a href="https://www.apache.org/licenses/LICENSE-2.0">Apache 2.0 许可</a>（Android 开放源代码项目所有组成部分的首选许可）授权您使用这些文档（包括其中显示的所有代码）。</p>

<p>Apache 2.0 是适用于开放源代码的商业软件许可。Android 平台和文档的大部分内容都是根据 Apache 2.0 许可授权用户使用。尽管该项目会尽可能遵循此首选许可，但也可能存在例外情况，例如，如果文档（代码注释）的提取来源是根据 GPLv2 或其他许可授权的源代码模块。在这些情况下，源代码模块所遵循的许可将适用于从源代码模块中提取的文档。要了解用于生成文档并需要根据许可要求注明出处的源代码模块，请查看下文的<a href="#doclicenses">“文档许可”部分</a>。</p>

<p>本网站的第三方组件（例如 JavaScript 库）已根据其作者指定的许可纳入 Android 开放源代码项目。要了解这些许可，请参阅 Android 开放源代码项目中的源代码文件。</p>

<p>另根据 <a href="https://creativecommons.org/licenses/by/3.0/">Creative Commons Attribution 3.0</a> 许可授权您使用本网站上除许可文档本身以外的所有其他内容，另有说明的情况除外。</p>

<p>只要符合相应内容的特定许可（如上所述），您就可以以任何方式使用本网站的内容。对于根据 Creative Commons Attribution 3.0 许可授权您使用的内容，我们要求您注明相应的<a href="#attribution">出处</a>。</p>

<h2 id="terms">使用条款</h2>

<p>我们非常乐意根据相应条款授权您使用 Android 文档和示例代码，这些条款鼓励您根据需要采用、修改、重复使用、改编或混编此类内容。您可以在自己的作品中随意使用文档内容，除非下文的<a href="#restrictions">限制</a>部分另有说明。例如，您可以在一本书中引用相应的文字，将部分内容剪切并粘贴到您的博客中，录制成有声读物供视障人士收听，甚至还可以翻译成其他语言。</p>

<h2 id="restrictions">限制</h2>

<ul>
<li>尽管我们根据 Apache 2.0 许可向您提供文档本身，但请注意，该许可并未涵盖专有商标和品牌特征。</li>

<li>该许可未涵盖 Google 的商标和其他品牌特征（包括 <img src="https://developer.android.com/images/android-logo.png" alt="Android" style="margin:0;padding:0 2px;vertical-align:baseline"/> 这种特殊字体样式的徽标）。要了解与这方面的使用情况相关的信息，请参阅<a href="https://developer.android.com/distribute/marketing-tools/brand-guidelines.html">品牌推广指南</a>。</li>

<li>在某些情况下，网页中可能会包含该许可未涵盖的内容（例如图片）。在这种情况下，我们会为未许可的内容添加标签。</li>

<li>此外，除非特别说明，该许可一律不适用于该网站上网页中的链接所指向的内容。例如，网页上的链接可能会指向不适用于该许可的视频或幻灯片。</li>

<li>使用 SDK 中提供（或本文档中显示）的示例源代码时，需遵循 <a href="https://www.apache.org/licenses/LICENSE-2.0">Apache 2.0 许可</a>中详述的条件。</li>
</ul>

<h2 id="attribution">注明出处</h2>
<p>当您重复使用网页上显示的根据 Creative Commons Attribution 许可条款提供的内容或创建其修改版本时，需注明相应的出处。在本网站上，需注明出处的要求仅适用于非文档内容（如上文所述）。要了解关于注明出处的完整要求，请参阅 <a href="https://creativecommons.org/licenses/by/3.0/legalcode">Creative Commons 法律规定</a>的 4b 部分。
</p>
<p>在实际使用情形中，我们要求您根据创作作品所用媒介的特点，尽可能注明出处来自 Android 开放源代码项目。此要求可能适用于以下几种典型方式：</p>
<h3>原样复制</h3>
<p>
 如果您的在线作品原样复制本网站中的全部或部分文字或图片，请在网页底部附上以下这段内容：<em></em>
</p>
<p style="margin-left:20px;font-style:italic">
本网页的部分内容是从 <a href="https://code.google.com/p/android/">Android 开源项目</a>原创及共享作品中复制的，使用时须遵循 <a href="https://creativecommons.org/licenses/by/3.0/">Creative Commons Attribution 3.0 许可</a>中所述条款。

</p>
<p>此外，请提供指向原始来源网页的链接，以便读者参阅相应网页，了解更多信息。
</p>
<h3>经过修改的版本</h3>
<p>
 如果您的在线作品会显示在本网站内容的基础上<em>修改的</em>文字或图片，请在您的网页底部附上以下这段内容：</p>
<p style="margin-left:20px;font-style:italic">
本网页的部分内容是在 <a href="https://code.google.com/p/android/">Android 开源项目</a>原创及共享作品的基础上修改而成的，使用时须遵循 <a href="https://creativecommons.org/licenses/by/3.0/">Creative Commons Attribution 3.0 许可</a>中所述条款。
</p>
<p>同样，请提供指向原始来源网页的链接，以便读者参阅相应网页，了解更多信息。在对相应内容做过修改后，尤其要谨记这一点。
</p>
<h3>其他媒体</h3>
<p>如果您要制作不包含超文本的作品（如图书、音频或视频），我们要求您本着上述精神尽可能提供语音或文字形式的出处说明。
</p>

<h2 id="doclicenses">文档许可</h2>
<h3 id="icu">ICU 许可</h3>
<p>Android 公共 API 文档中包含来自下列源代码库的内容（根据 ICU 许可授权）：</p>
<ul>
<li><a href="https://developer.android.com/reference/android/icu/lang/package-summary.html">android.icu.lang</a></li>
<li><a href="https://developer.android.com/reference/android/icu/math/package-summary.html">android.icu.math</a></li>
<li><a href="https://developer.android.com/reference/android/icu/text/package-summary.html">android.icu.text</a></li>
<li><a href="https://developer.android.com/reference/android/icu/util/package-summary.html">android.icu.util</a></li>
</ul>

<div class="aside" style="overflow:scroll; height:250px;">
<p>版权和权限声明</p>

<p>版权所有 (c) 1995-2015 国际商业机器股份有限公司 (IBM) 及其他</p>
<p>保留所有权利。
</p>
<p>特此向获得本软件的副本及相关文档文件（以下简称“本软件”）的所有人员免费授予不受限制地处理本软件的权限（包括但不限于使用、复制、修改、合并、发布、分发和/或销售本软件的副本的权利）并允许获装本软件的人员进行上述处理，但前提是本软件的所有副本和支持文档中均包含上述版权声明和本权限声明。
</p>
<p>本软件按“原样”提供，不提供任何形式（明示或暗示）的保证，包括但不限于针对适销性、特定用途适合性以及不对第三方构成侵权的保证。在任何情况下，无论是在合同诉讼、过失诉讼，还是侵权诉讼中，对于因使用本软件或本软件的性能造成的以及与使用本软件或本软件的性能相关的任何索赔，任何特殊、间接或继发损害，或任何因本软件无法使用、数据丢失或利润损失造成的损害，本声明中提到的版权持有者均不承担任何责任。</p>
<p>除非本声明中另有规定，否则在未事先征得版权持有者书面授权的情况下，不得在广告中使用版权持有者的名称，也不得将版权持有者的名称用于宣传本软件的销售、使用或其他活动。
</p>
</div>

<h3 id="w3c_license">W3C 软件和文档声明及许可</h3>
<p>Android 公共 API 文档中包含来自以下源代码库的内容（根据 W3C 软件和文档声明及许可授权）：</p>
<ul>
<li><a href="https://developer.android.com/reference/org/w3c/dom/package-summary.html">org.w3c.dom</a></li>
<li><a href="https://developer.android.com/reference/org/w3c/dom/ls/package-summary.html">org.w3c.dom.ls</a></li>
</ul>

<div class="aside" style="overflow:scroll; height:250px;">
<p>本作品目前是由版权持有者根据以下许可提供。</p>
<h5>许可</h5>
<p>获取和/或复制本作品，即表示您（被许可人）承认您已阅读、了解并同意遵守以下条款及条件。
</p>
<p>只要您在使用此作品的所有副本或部分内容（包括修改内容）时满足以下要求，即授予您出于任何目的复制、修改和分发本作品的权限（无论是否修改，均免一切费用或税费）：</p>
<ul>
<li>在再发行作品或衍生作品的用户可见的位置附上此声明的全文内容。
</li>
<li>附上任何现有的知识产权免责声明、声明或条款及条件。如果没有这类内容，则应附上 W3C 软件和文档简短声明。
</li>
<li>在针对新代码或文档的版权声明中注明所做的任何更改或修改，例如“本软件或文档中包含从 [W3C 文档的名称或 URI] 复制的内容或根据 [W3C 文档的名称或 URI] 得出的内容。版权所有 © [年份] W3C®（MIT、ERCIM、Keio、Beihang）”。
</li>
</ul>
<h5>免责声明</h5>
<p>本作品按“原样”提供，且版权持有者不提供任何明示或暗示的声明或保证，包括但不限于针对适销性、任何特定用途适合性或使用本软件或文档不会对任何第三方专利、版权、商标或其他权利构成侵权的保证。</p>
<p>对于因使用本软件或文档造成的任何直接、间接、特殊或继发损失，版权持有者均不承担任何责任。</p>
<p>在未事先征得特定书面许可的情况下，不得在与本作品相关的广告或公共宣传内容中使用版权持有者的名称和商标。本作品包含的版权始终归版权持有者所有。
</p>
</div>

</body></html>